From: Stefano Rivera <stefanor@debian.org>
Date: Thu, 18 Nov 2021 23:10:30 -0400
Subject: Update imports to collections.abc

Bug-Debian: https://bugs.debian.org/999367
Forwarded: https://github.com/python-postgres/fe/pull/115
---
 postgresql/copyman.py                  | 2 +-
 postgresql/documentation/notifyman.rst | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

diff --git a/postgresql/copyman.py b/postgresql/copyman.py
index 70ef7e5..4d0b14d 100644
--- a/postgresql/copyman.py
+++ b/postgresql/copyman.py
@@ -9,7 +9,7 @@ function for a high-level interface to using the `CopyManager`.
 """
 import sys
 from abc import abstractmethod, abstractproperty
-from collections import Iterator
+from collections.abc import Iterator
 from .python.element import Element, ElementSet
 from .python.structlib import ulong_unpack, ulong_pack
 from .protocol.buffer import pq_message_stream
diff --git a/postgresql/documentation/notifyman.rst b/postgresql/documentation/notifyman.rst
index d774ee5..0b21475 100644
--- a/postgresql/documentation/notifyman.rst
+++ b/postgresql/documentation/notifyman.rst
@@ -20,7 +20,7 @@ receives notifications.
 
 The `postgresql.notifyman.NotificationManager` class is used to wait for
 messages to come in on a set of connections, pick up the messages, and deliver
-the messages to the object's user via the `collections.Iterator` protocol.
+the messages to the object's user via the `collections.abc.Iterator` protocol.
 
 
 Listening on a Single Connection
